local sprite = require("Sprites/sprite")

local entity = {}
entity.__index = entity

entity.properties = sprite.properties
entity.properties.canmove = true
entity.properties.attacking = false

entity.properties.maxhealth = 100
entity.properties.health = 100

entity.properties.directions = 
{
    "up",
    "down",
    "left",
    "right",
}
entity.properties.direction = "up"

function entity:new()
    local self = setmetatable(entity.properties, entity)
    return self
end

function entity:update(dt)
    if self.health <= 0 then
            entity:die()
    end

    sprite.update(self)
end

function entity:draw()
    sprite.draw(self)
end

function entity:die()

end

return entity