local sprite = require("Sprites/sprite")
local entity = require("Sprites/Entities/entity")
local player = require("Sprites/Entities/player")

local input = require("Models/input")
local animation = require("Models/animation")

local gamestate = require("States/gamestate")

function love.load()
    love.graphics.setDefaultFilter("nearest")
    love.graphics.setColor( 255, 255, 255, 255)

    gamestate.load()
end

function love:update(dt)
    gamestate.update(dt)
end

function love:draw()
    gamestate.draw()
end